edu.isi.pegasus.common.util

## Class FindExecutable

- java.lang.Object
- - edu.isi.pegasus.common.util.FindExecutable

    public class FindExecutable
    extends java.lang.Object

A convenice class that allows us to determine the path to an executable

Version:
  $Revision$
Author:
  Jens Voeckler, Karan Vahi

### Constructor Summary

Constructors
Constructor and Description
`FindExecutable()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.io.File` `findExec(java.lang.String name)` Finds the path to an executable of a given name , based on the value of PATH environment variable.
`static void` `main(java.lang.String[] args)` Test function for the class

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FindExecutable

    public FindExecutable()

### Method Detail

#### findExec

    public static java.io.File findExec(java.lang.String name)

Finds the path to an executable of a given name , based on the value of PATH environment variable.

Parameters:
  `name` - the name of the executable to search for.
Returns:
  the File object corresponding to the executable if found, else null

#### main

    public static void main(java.lang.String[] args)

Test function for the class

Parameters:
  `args` -